quod libet errors on fedora 22

asked 2015-06-12 00:59:51 -0500

venkatkl gravatar image

Hi, Decided to take the Linux plunge and have been using fedora for the last 4 months, started with 21 and now running Fedora Workstation 22. So far the experience has been great. Thanks to all contributing to this amazing community in one way or another.

I have been using Quod Libet for music play back set to play with alsa module and all filters and enhancement turned off for bit perfect playback. Everything works great and the output is great. But the Player is showing quite a few plugin errors. They are as follows:

auto_library_update

Traceback (most recent call last): File "/usr/lib/python2.7/site-packages/quodlibet/ext/events/auto_library_update.py", line 25, in <module> else e) ImportError: No module named pyinotify

crossfeed

Couldn't find GStreamer element 'bs2b'.

fingerprint

Couldn't find GStreamer element 'chromaprint'.

kakasi

Couldn't find the 'Kanji Kana Simple Inverter' (kakasi).

zeitgeist_client

Couldn't find module 'zeitgeist'. Perhaps you need to install the package?

But the music playback is fine with no problems what so ever.

I have all gstreamer plugins, free, non free, good, bad, ugly installed via rpmfusion and the system is updated everyday.

In Fedora 21 was using VLC, so dont know if this problem would have occurred!

I have searched the net for the last 2 days and cant find any clue to what these errors could be!

I would be thankfull to any one who could tell me how to fix the above errors.

edit retag flag offensive close merge delete

Comments

Have you tried installing the packages mentioned in the error? Like python-inotify, zeitgeist, etc. Also, this sounds like it might be a packaging bug. You might want to look through Quod Libet's bug page and see if anyone else is having similar issues.

bthomas gravatar imagebthomas ( 2015-06-12 17:34:26 -0500 )edit